Name:		qubes-usb-proxy
Version:	1.0.28
Release:	1%{?dist}
Summary:	USBIP wrapper to run it over Qubes RPC connection

Group:		System
License:	GPLv2
URL:		https://www.qubes-os.org/
BuildArch:  noarch
Requires:   usbutils

Source0: %{name}-%{version}.tar.gz

%description
USBIP wrapper to run it over Qubes RPC connection

%prep
%setup -q

%install
make install-vm DESTDIR=${RPM_BUILD_ROOT}

%files
#%%doc
/usr/lib/qubes/usb-import
/etc/qubes-rpc/qubes.USB
/etc/qubes-rpc/qubes.USBAttach
/etc/qubes-rpc/qubes.USBDetach
/usr/lib/qubes/usb-import
/usr/lib/qubes/usb-export

%changelog
* Wed Apr 01 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-usb-proxy

* Wed Apr 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45f6707
- version 1.0.28

* Wed Mar 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 627b3e5
- Keep the process running to not close qrexec connection prematurely

* Sun Mar 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b3a3e7a
- tests: adjust delay after removing/detaching device

* Fri Jan 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2668a1f
- version 1.0.27

* Thu Jan 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6de5382
- Clear cache when Qubes() object is getting destroyed

* Wed Jan 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1beb118
- version 1.0.26

* Wed Jan 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e927a99
- Fix attach timeout handling

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6343522
- version 1.0.25

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4be56f0
- travis: switch R4.1 to fc31 dom0

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 46d9b2b
- Don't include python2 tests on new dom0 (based on >f28)

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1662c89
- Add attach timeout

* Wed Dec 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a0f905
- version 1.0.24

* Wed Dec 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65aaadc
- Fix device cache initialization

* Tue Dec 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3633e83
- version 1.0.23

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a3e33f
- Ensure dom0 receives events on attach/detach

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a505ce7
- Send events even when device is attached/detached by alternative method

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 72172bc
- travis: switch to bionic

* Thu Oct 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 765c340
- version 1.0.22

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c733906
- travis: switch to xenial, drop R3.2, update distros

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d253b2
- Fix granting/revoking qubes.USB service access

* Thu May 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92b5eac
- version 1.0.21

* Sun May 12 2019 Malte Leip <malte@leip.net> - 5075091
- usb-export: always unbind from current driver

* Fri Mar 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9537426
- version 1.0.20

* Sun Mar 03 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bbc7bc5
- travis: add R4.1

* Sun Mar 03 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7ec548
- rpm: fix dom0 spec file

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10ef97b
- tests: verify automatic re-connection of the device

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76673c7
- Automatically re-connect persistent device when it gets plugged back

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 292d278
- version 1.0.19

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f860d3e
- travis: update Fedora and Debian versions

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 993e569
- rpm: fix build dependencies for dom0 package

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 483943e
- tests: skip test for whonix-gw

* Tue Jun 26 2018 Nicco Kunzmann <niccokunzmann@rambler.ru> - 37b8503
- Add error message with source

* Mon Jun 25 2018 Nicco Kunzmann <niccokunzmann@googlemail.com> - a8beed5
- Clarify how to install this package securely

* Mon May 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c0fcd1
- version 1.0.18

* Sun Apr 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - efe34b4
- tests: mark attach_not_installed_back with expectedFailure

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 7695805
- spec.in: add changelog placeholder

* Sun Apr 01 2018 Frédéric Pierret <frederic.epitre@orange.fr> - de6d3ad
- Create .spec.in and Source0

* Wed Mar 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ed6397
- version 1.0.17

* Tue Mar 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ac3456b
- Restore workaround for typo in usbip port status header

* Tue Feb 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0a97631
- version 1.0.16

* Tue Feb 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33faf11
- core3ext: send device-list-change event on backend domain shutdown

* Sun Feb 11 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 359f395
- core3ext: attach devices in -pre event

* Sun Feb 11 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f3a1c3
- core3ext: do not include dom0 devices by default

* Mon Jan 22 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d72f26
- version 1.0.15

* Mon Jan 22 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9caacd4
- Depends on usbutils

* Fri Jan 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ced6363
- version 1.0.14

* Fri Jan 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - db4af48
- Fix handling SuperSpeed port numbers

* Thu Jan 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ec7d5f6
- version 1.0.13

* Wed Jan 17 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c081f2d
- tests: update core3 tests for the final API and python3

* Wed Jan 17 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea6fd7d
- tests: load dummy-hcd module

